Skip to main content
`Ctrl`+`K`

# DMTSGetSolutionFunction

gets the `TS` solution evaluation function from a `DMTS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetSolutionFunction(DM dm, TSSolutionFn **func, PetscCtxRt ctx)

Not Collective

## Input Parameter

- dm - `DM` to be used with `TS`

## Output Parameters

- func - solution function evaluation function, for calling sequence see `TSSolutionFn`

- ctx - context for solution evaluation

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `TS`, `DM`, `DMTSSetSolutionFunction()`, `TSSolutionFn`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages